> ## Documentation Index
> Fetch the complete documentation index at: https://composio-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# PandaDoc

> PandaDoc offers document creation, e-signatures, and workflow automation, helping sales teams and businesses streamline proposals, contracts, and agreement processes

![PandaDoc logo](https://mintcdn.com/composio-preview/gqjBKmmJCINafaiK/images/toolkits/pandadoc.svg?fit=max\&auto=format\&n=gqjBKmmJCINafaiK\&q=85\&s=03f103ebc6b9a8f4c3be2de0c3f4f95f)

* **Category:** documents
* **Auth:** API\_KEY
* **Composio-managed OAuth available?** N/A
* **Tools:** 16
* **Triggers:** 0
* **Slug:** `PANDADOC`
* **Version:** 20261101\_00

## Tools

> [accordion] Add a document recipient
>
> **Slug:** `PANDADOC_ADD_DOCUMENT_RECIPIENT`
>
> Add a document recipient. Add a CC recipient to a document. > 🚧 Before you start > > To add a CC recipient, please ensure that: > > - You have the 'Can Manage Recipients' permission. > - This recipient is already created in your contacts. If not, add them using the [Create Contact](https://developers.pandadoc.com/reference/create-contact) endpoint. To add a new CC recipient to a document, two parameters must be included in the request body: - `kind`: Set this parameter to `contact` to specify an individual contact, or `contact_group` to specify a contact group. - `id`: Input the ID of the desired contact (for `kind: contact`) or contact group (for `kind: contact_group`). To retrieve the contact's ID, use the [List Contacts](https://developers.pandadoc.com/reference/list-contacts) endpoint to access a list of all contacts, and then locate the desired contact by sea
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Document UUID
>
> **body** `object` *required*
>
> Request body as documented by PandaDoc.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Add a workspace member
>
> **Slug:** `PANDADOC_ADD_WORKSPACE_MEMBER`
>
> Add a workspace member. Add an existing user to a workspace. - You must be an organization admin or a workspace admin to add members.
>
> #### Input Parameters
>
> **role** `string ("Admin" | "Manager" | "Member" | "Collaborator")` *required*
>
> Role.
>
> **user\_id** `string` *required*
>
> User id.
>
> **notify\_user** `boolean`
>
> Send a confirmation email to the user that was added to workspace(s).
>
> **workspace\_id** `string` *required*
>
> Workspace id.
>
> **notify\_ws\_admins** `boolean`
>
> Send a confirmation email to all workspace admins indicating that the user has been added to the workspace.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Append a content library item to a document
>
> **Slug:** `PANDADOC_APPEND_CONTENT_LIBRARY_ITEM_TO_DOCUMENT`
>
> Append a content library item to a document. Appends a Content Library Item (CLI) to a document and provides a name mapping for its content blocks.
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Specify document id.
>
> **cli** `object`
>
> Settings to append a CLI to a document, with ability to change some parameters
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Bulk-delete documents
>
> **Slug:** `PANDADOC_BULK_DELETE_DOCUMENTS`
>
> Bulk-delete documents. Delete multiple documents in one request by sending a JSON array. Each element must be an object with an `id` field (the document ID, same value as elsewhere in the Documents API). The caller must have permission to delete each document. Documents must belong to the authenticated workspace. This batch operation returns **200 OK** with a JSON body containing an `id` array of deleted document IDs. That differs from Delete Document (`DELETE /public/v1/documents/{id}`), which returns **204 No Content** for a single document.
>
> #### Input Parameters
>
> **body** `array` *required*
>
> List of documents to delete. Each object must contain a document `id`.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Change document ownership
>
> **Slug:** `PANDADOC_CHANGE_DOCUMENT_OWNERSHIP`
>
> Change document ownership. This operation allows transferring the ownership of a document to another user by specifying the document ID and membership ID.
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Specify document ID.
>
> **silent** `boolean`
>
> If set to `true`, disables the email and in-app notifications about the ownership transfer that are sent to the new document owner.
>
> **membership\_id** `string`
>
> A unique identifier of a workspace member.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Change document status
>
> **Slug:** `PANDADOC_CHANGE_DOCUMENT_STATUS`
>
> Change document status. PandaDoc has eight document statuses, but you can manually set your document status to only four: ### Document statuses - Completed - `document.completed` - API code `2` - Expired - `document.voided` - code `11` - Paid - `document.paid` - code `10`. **Important**: You can only set it if you have a payment app connected. - Declined - `document.declined` - code `12` > 🚧 Pass a numeric code for the corresponding document status, for example, `2` for `document.completed`. Find more details in \[\[Editor 2.0] Manually change document status]\([https://support.pandadoc.com/en/articles/9714842-manually-change-document-status](https://support.pandadoc.com/en/articles/9714842-manually-change-document-status)) topic. | Current Status | To Completed: | To Expired: | To Paid: | To Declined: | |----------------|---------------|-------------|----------|--------------| | Draft | YES | NO | YES | YES | | Approved | NO | NO | NO | NO | | Se
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Specify document ID.
>
> **note** `string`
>
> Provide “private notes” regarding the manual status change.
>
> **status** `integer ("2" | "10" | "11" | "12")` *required*
>
> Status.
>
> **notify\_recipients** `boolean`
>
> Send a notification email about the status change to all recipients.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Change Document Status with Upload
>
> **Slug:** `PANDADOC_CHANGE_DOCUMENT_STATUS_WITH_UPLOAD`
>
> Manually change a document's status with an optional file attachment. Supports completed (2), paid (10), expired (11), and declined (12). Allowed transitions depend on the current document status; paid requires a connected payment app. Setting notify\_recipients sends email to recipients. Returns no content on success, not the updated document.
>
> #### Input Parameters
>
> **id** `string` *required*
>
> ID of the document whose status will change.
>
> **data** `object`
>
> JSON data part of the status-change multipart request.
>
> **file** `object`
>
> Binary attachment file to upload with the status change.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Change a workspace member role
>
> **Slug:** `PANDADOC_CHANGE_WORKSPACE_MEMBER_ROLE`
>
> Change a workspace member role. Change the role of an existing workspace member. - You must be an organization admin, a workspace admin, or hold a role with permission to edit member roles to call this endpoint. - The `role` field accepts either a built-in role name (`Admin`, `Manager`, `Member`, `Collaborator`) or the name of a custom role defined for the workspace. - The role of the workspace owner cannot be changed. - The role of the last member with admin privileges in the workspace cannot be changed. - When a member with a `Guest` license is promoted to any non-`Collaborator` role, the user's license is automatically upgraded to `Full (Standard)`. If the organization has no free seats available, an additional seat is purchased.
>
> #### Input Parameters
>
> **role** `string ("Admin" | "Manager" | "Member" | "Collaborator")` *required*
>
> Role.
>
> **member\_id** `string` *required*
>
> Member id.
>
> **workspace\_id** `string` *required*
>
> Workspace id.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Create a content library item
>
> **Slug:** `PANDADOC_CREATE_CONTENT_LIBRARY_ITEM`
>
> Create a content library item. This API endpoint allows users to create an empty item in the content library. No actual content or data is required to be provided in the initial creation.
>
> #### Input Parameters
>
> **url** `string`
>
> Secure (HTTPS) and publicly accessible URL to the PDF document.
>
> **name** `string`
>
> The name of the Content Library Item.
>
> **editable** `boolean`
>
> Only applicable when creating a content library item from a DOCX file. When `true`, the DOCX is converted into editable content, so the resulting content library item can be edited.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Create Content Library Item from File Upload
>
> **Slug:** `PANDADOC_CREATE_CONTENT_LIBRARY_ITEM_FROM_UPLOAD`
>
> Upload a file to create a PandaDoc content library item asynchronously. The maximum upload size is 100 MB. Field tags and form fields are not supported. A successful upload does not mean processing is complete: check the item's status until cli.PROCESSED or cli.ERROR. DOCX uploads support editable conversion. See POST /public/v1/content-library-items?upload (createContentLibraryItemFromUpload).
>
> #### Input Parameters
>
> **file** `object` *required*
>
> File to upload, up to 100 MB.
>
> **name** `string`
>
> Name of the content library item. Omitted when not provided.
>
> **editable** `boolean`
>
> For DOCX files only: convert the file into editable content.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Create Document Attachment
>
> **Slug:** `PANDADOC_CREATE_DOCUMENT_ATTACHMENT`
>
> Creates and adds an attachment to a PandaDoc document. This tool allows you to attach downloadable files such as supplemental materials, Excel spreadsheets, or other content without embedding them directly into the document. Attachments can be added only to documents in 'document.draft' status, with a maximum of 10 files per document and a size limit of 50MB per file.
>
> #### Input Parameters
>
> **file** `object` *required*
>
> File to upload as an attachment.
>
> **document\_id** `string` *required*
>
> UUID of the document to attach the file to
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Create a document editing session
>
> **Slug:** `PANDADOC_CREATE_DOCUMENT_EDITING_SESSION`
>
> Create a document editing session. Creates a new editing session for the Embedded Editor. The response includes an E-Token, which is required to open the document. > 🚧 **Important:** The Embedded Editor can only open documents that have a `draft` status. #### Limitations - **Single Active Session per User-Document Pair** Only one editing session can be active at a time for a specific user and document. Creating a new session for the same user-document pair will automatically invalidate the previous one. - **Weekly Session Cap** A maximum of **250** editing sessions can be created for a single document per week. Any attempt to exceed this limit will result in a `403 Forbidden` error.
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Document ID
>
> **email** `string` *required*
>
> Email of the user to create the editing session for
>
> **lifetime** `integer`
>
> Lifetime of the E-Token in seconds.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Create document fields
>
> **Slug:** `PANDADOC_CREATE_DOCUMENT_FIELDS`
>
> Create document fields. Creates fields for a particular document. For CFR11-compliant workspaces (21 CFR Part 11), signature fields must have a minimum size of 108×33.
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Document UUID.
>
> **fields** `array`
>
> An array of fields to place on a document.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Create Document from File Upload
>
> **Slug:** `PANDADOC_CREATE_DOCUMENT_FROM_FILE`
>
> Creates a new document in PandaDoc by uploading a file (PDF, DOCX, or RTF). Converts existing documents into PandaDoc documents for processing, signing, and tracking. Either `file` or `url` must be provided; omitting both will fail. Large files may time out during upload and conversion.
>
> #### Input Parameters
>
> **url** `string`
>
> Public HTTPS URL of the file to use (PDF, DOCX, or RTF format). Either 'file' or 'url' must be provided.
>
> **file** `object`
>
> File to upload (PDF, DOCX, or RTF format). Either 'file' or 'url' must be provided.
>
> **name** `string` *required*
>
> Name of the document
>
> **tags** `array`
>
> Tags to categorize the document
>
> **owner** `object`
>
> Model for document owner.
>
> **recipients** `array` *required*
>
> List of recipients for the document Each recipient object must include a valid `email` field; missing or malformed emails will prevent sending or signing.
>
> **parse\_form\_fields** `boolean`
>
> Whether to parse form fields in the document (for PDFs)
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Create a document section
>
> **Slug:** `PANDADOC_CREATE_DOCUMENT_SECTION`
>
> Create a document section. With this endpoint, you can add a new section to an existing PandaDoc document (create a bundle). You can upload a section to the document using a PandaDoc template or a file by URL. > ⏱️ Document Section creation is a non-blocking (asynchronous) operation > > The document creation process may take some time. > > With a successful request, you receive a response with the created upload ID and status `document_sections_upload.uploaded`. After processing completes on our servers, usually a few seconds, the document moves to the `document_sections_upload.PROCESSED` status. ## Using a PandaDoc template \<details> > 🚧 Current Version Limitations > > Images in sections are currently not supported. > 📘 Pricing tables note > > Each pricing table must have a unique name to populate it with data correctly. A PandaDoc template is a document template
>
> #### Input Parameters
>
> **body** `string` *required*
>
> Request body as documented by PandaDoc.
>
> **document\_id** `string` *required*
>
> Document ID
>
> **merge\_field\_scope** `string ("document" | "upload")`
>
> Determines how the fields are mapped when creating a section.   \* document: Default value. The fields of the entire document are updated.   \* upload: Only the fields from the created section are updated. The merge field is appended with the upload ID.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Create Document Section from File Upload
>
> **Slug:** `PANDADOC_CREATE_DOCUMENT_SECTION_FROM_UPLOAD`
>
> Add a section to an existing version 2 document from a PDF, DOCX, or RTF. Uploads one file of at most 50 MB; encrypted PDFs are unsupported. Creation is asynchronous: poll Document Section Upload Status using the returned upload uuid until PROCESSED (or ERROR) before relying on the section being available. This uploads embedded document content, not a downloadable attachment.
>
> #### Input Parameters
>
> **file** `object` *required*
>
> One PDF, DOCX, or RTF, up to 50 MB. Encrypted PDFs are unsupported.
>
> **name** `string`
>
> Name of the section.
>
> **tags** `array`
>
> Section tags.
>
> **fields** `object`
>
> Fields keyed by optId, containing value, role, and optional options. Declare all form fields and roles; signatures cannot be prefilled.
>
> **tokens** `array`
>
> Variables to prefill.
>
> **recipients** `array` *required*
>
> Section recipients, with email for individual recipients. Field tag roles must match these roles; underscores in field tag role names are unsupported.
>
> **document\_id** `string` *required*
>
> ID of the existing version 2 document.
>
> **parse\_text\_tags** `boolean`
>
> Detect field tags; provider default is true. False keeps tags as regular text.
>
> **merge\_field\_scope** `string ("document" | "upload")`
>
> document (provider default) updates fields across the document; upload updates only new section fields and appends the upload ID to merge fields.
>
> **parse\_form\_fields** `boolean`
>
> True for PDF form fields; false for field tags.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Create an embedded signing session
>
> **Slug:** `PANDADOC_CREATE_EMBEDDED_SIGNING_SESSION`
>
> Create an embedded signing session. Creates a document session for a recipient to view and sign a document. > 📘 How to create an Embedded Sign session > For more information on how to create an Embedded Sign session, see the [Embedded Signing](https://developers.pandadoc.com/docs/embedded-signing) documentation.
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Document ID
>
> **lifetime** `number`
>
> The duration in seconds for which the document link will remain valid. The link will expire and become inaccessible after this time period. For security, we recommend setting the lifetime to less than one year (e.g., `"lifetime": 31535999`). If not specified, the default value is 1 hour (3600 seconds).
>
> **recipient** `string` *required*
>
> Email address of the person who will receive access to the document.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Create Document Folder
>
> **Slug:** `PANDADOC_CREATE_FOLDER`
>
> Creates a new folder in PandaDoc to organize documents. This action allows users to create a new folder with a specified name and optionally set a parent folder to create a nested folder structure.
>
> #### Input Parameters
>
> **name** `string` *required*
>
> Name of the folder to be created
>
> **parent\_uuid** `string`
>
> UUID of the parent folder if creating a nested folder structure
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Create a linked object
>
> **Slug:** `PANDADOC_CREATE_LINKED_OBJECT`
>
> Create a linked object. Create a linked object in the document. > 🚧 > > You can only link each document to each CRM once. This ensures the consistent functionality of the [two-way CRM sync](https://support.pandadoc.com/en/articles/9714877-hubspot-crm#h_3a3344e8-2a6e-4fd8-86be-0da8c121e4ac). > > You can, however, link one document to several external systems.
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Specify document ID.
>
> **provider** `string` *required*
>
> CRM name (lowercase).  See the list of available providers: [https://developers.pandadoc.com/reference/link-service#examples-of-the-most-popular-crms](https://developers.pandadoc.com/reference/link-service#examples-of-the-most-popular-crms)
>
> **entity\_id** `string` *required*
>
> Entity unique identifier. The system validates if the entity exists.
>
> **entity\_type** `string` *required*
>
> Entity type.  See the available entity types: [https://developers.pandadoc.com/reference/link-service#examples-of-the-most-popular-crms](https://developers.pandadoc.com/reference/link-service#examples-of-the-most-popular-crms)
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Create a notarization request
>
> **Slug:** `PANDADOC_CREATE_NOTARIZATION_REQUEST`
>
> Create a notarization request. Create a notarization request to connect with a notary and complete online notarizations for your signers within minutes. > 🚧 **Important:** This endpoint supports only documents in draft status. ## Prerequisites > 🚧 Before you start > > Ensure the following before creating a notarization request: > > - Install the Notary On-Demand or Notary add-on > - Create a document for notarization and get its `document_id`. To create a document, use the [Create Document from Template](https://developers.pandadoc.com/reference/create-document-from-pandadoc-template) or [Create Document from File Upload](https://developers.pandadoc.com/reference/create-document-from-pdf) endpoint. ## Request Details For the notarization request, include in the request body: - `document_id` - At least one `invitees`, specifying their `email`, `first_name`, and \`last\_na
>
> #### Input Parameters
>
> **notary** `object`
>
> Optional notary assignment for in-house notary requests. Used for Bring you own notary use case. Only ACTIVE notaries can be used
>
> **invitation** `object` *required*
>
> Invitation.
>
> **document\_id** `string` *required*
>
> ID of the Document for notarization.
>
> **disable\_invitees\_notifications** `boolean`
>
> Disable invitees notifications.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Create or Update Contact
>
> **Slug:** `PANDADOC_CREATE_OR_UPDATE_CONTACT`
>
> Create a PandaDoc contact or attempt to update an existing contact by email. An update is attempted when creation reports that the contact already exists and an exact email match is found in the returned contacts.
>
> #### Input Parameters
>
> **city** `string`
>
> City of the contact
>
> **email** `string` *required*
>
> Email address of the contact. Required for both create and update operations.
>
> **phone** `string`
>
> Phone number of the contact
>
> **state** `string`
>
> State of the contact
>
> **company** `string`
>
> Company name of the contact
>
> **country** `string`
>
> Country of the contact
>
> **job\_title** `string`
>
> Job title of the contact
>
> **last\_name** `string`
>
> Last name of the contact
>
> **first\_name** `string`
>
> First name of the contact
>
> **postal\_code** `string`
>
> Postal code of the contact
>
> **street\_address** `string`
>
> Street address of the contact
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Create a product catalog item
>
> **Slug:** `PANDADOC_CREATE_PRODUCT_CATALOG_ITEM`
>
> Create a product catalog item. Create a new catalog item.
>
> #### Input Parameters
>
> **sku** `string`
>
> Sku.
>
> **type** `string ("regular" | "bundle")`
>
> Type.
>
> **title** `string` *required*
>
> Title.
>
> **images** `array`
>
> Images.
>
> **category\_id** `string`
>
> Category id.
>
> **description** `string`
>
> Description.
>
> **bundle\_items** `array`
>
> Bundle items.
>
> **custom\_fields** `array`
>
> Custom fields.
>
> **price\_configuration** `object` *required*
>
> Price configuration.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Create Template
>
> **Slug:** `PANDADOC_CREATE_TEMPLATE`
>
> This tool allows users to create a new template in PandaDoc from a PDF file or from scratch. It handles file upload validation, parameter checks, proper error handling, and authentication with the PandaDoc API. The template can be created either by uploading a PDF file or by providing a structured content object that defines the template layout and elements.
>
> #### Input Parameters
>
> **file** `object`
>
> PDF file to use for template creation
>
> **name** `string` *required*
>
> Name of the template
>
> **tags** `array`
>
> Optional tags to categorize the template
>
> **content** `object`
>
> Content model for template creation from scratch.
>
> **description** `string`
>
> Optional description of the template
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Create a template editing session
>
> **Slug:** `PANDADOC_CREATE_TEMPLATE_EDITING_SESSION`
>
> Create a template editing session. Creates a new editing session for the Embedded Editor. The response includes an E-Token, which is required to open the template. #### Limitations - **Single Active Session per User-Template Pair** Only one editing session can be active at a time for a specific user and template. Creating a new session for the same user-template pair will automatically invalidate the previous one. - **Weekly Session Cap** A maximum of **250** editing sessions can be created for a single template per week. Any attempt to exceed this limit will result in a `403 Forbidden` error.
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Template ID
>
> **email** `string` *required*
>
> Email of the user to create the editing session for
>
> **lifetime** `integer`
>
> Lifetime of the E-Token in seconds.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Create a template folder
>
> **Slug:** `PANDADOC_CREATE_TEMPLATE_FOLDER`
>
> Create a template folder. Create a new folder to store your templates. For the full list of folder operations and their limitations, see [Organize Templates and Folders](https://developers.pandadoc.com/docs/organize-folders).
>
> #### Input Parameters
>
> **name** `string` *required*
>
> Name the folder for Templates you are creating.
>
> **parent\_uuid** `string`
>
> ID of the parent folder. To create a new folder in the root folder, remove this parameter in the request.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Create a user
>
> **Slug:** `PANDADOC_CREATE_USER`
>
> Create a user. Create users, and assign them roles, licenses, and workspaces. - You must be an organization admin to create users. - We check that the user email domain matches your organization domain. - We check that the user email and phone number have a valid format.
>
> #### Input Parameters
>
> **user** `object` *required*
>
> User info
>
> **license** `string ("Full" | "eSign" | "Read-only" | "Creator" | "Guest")` *required*
>
> License.
>
> **workspaces** `array` *required*
>
> Info for adding a user to a workspace(s)
>
> **notify\_user** `boolean`
>
> Send a confirmation email to the user that was added to workspace(s).
>
> **notify\_ws\_admins** `boolean`
>
> Send a confirmation email to all workspace admins indicating that the user has been added to the workspace.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Create PandaDoc Webhook
>
> **Slug:** `PANDADOC_CREATE_WEBHOOK`
>
> Creates a new webhook subscription in PandaDoc to receive notifications about specific events. This action allows you to set up webhook notifications for various document-related events such as status changes, recipient completions, and updates. The webhook will send HTTP notifications to your specified endpoint when the configured events occur.
>
> #### Input Parameters
>
> **url** `string` *required*
>
> The endpoint URL where webhook notifications will be sent
>
> **name** `string` *required*
>
> A descriptive name for the webhook subscription
>
> **active** `boolean`
>
> Whether the webhook subscription should be active
>
> **payload** `array`
>
> Additional data to include in webhook payload
>
> **triggers** `array` *required*
>
> List of events that will trigger the webhook
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Create a workspace
>
> **Slug:** `PANDADOC_CREATE_WORKSPACE`
>
> Create a workspace. Create a workspace in your organization. - You need to be an Org Admin to create a workspace. - You will be added to the new workspace with an Admin role.
>
> #### Input Parameters
>
> **name** `string` *required*
>
> A name for the new workspace.
>
> **icon\_url** `string`
>
> Workspace icon will be displayed in the application and is not visible to your customers. Icon should have square proportions. Supported formats: JPEG, PNG, GIF, WEBP. Max size: 5 MB
>
> **settings** `object`
>
> Optional workspace settings applied at creation time.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Deactivate a workspace
>
> **Slug:** `PANDADOC_DEACTIVATE_WORKSPACE`
>
> Deactivate a workspace. Deactivate the workspace, remove all the members from it and make it unavailable.
>
> #### Input Parameters
>
> **workspace\_id** `string` *required*
>
> Workspace id.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Delete Contact
>
> **Slug:** `PANDADOC_DELETE_CONTACT`
>
> This tool allows you to delete a contact from your PandaDoc account. The action is permanent and cannot be undone.
>
> #### Input Parameters
>
> **contact\_id** `string` *required*
>
> The unique identifier of the contact to delete.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Delete a document
>
> **Slug:** `PANDADOC_DELETE_DOCUMENT`
>
> Delete a document. Delete a document by ID.
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Document ID
>
> **forever** `boolean`
>
> Set to `false` to soft-delete the document (move it to the Trash Bin, where it can be restored) instead of deleting it permanently. Defaults to `true`.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Delete a document attachment
>
> **Slug:** `PANDADOC_DELETE_DOCUMENT_ATTACHMENT`
>
> Delete a document attachment. Deletes an attachment from the document.
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Document UUID.
>
> **attachment\_id** `string` *required*
>
> Attachment UUID.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Delete a document recipient
>
> **Slug:** `PANDADOC_DELETE_DOCUMENT_RECIPIENT`
>
> Delete a document recipient. Remove a recipient from a document. > 🚧 Before you start > > Please ensure that you have the 'Can Manage Recipients' permission. To remove a recipient from a document, you must specify their ID in the path parameter (note that this is different from their contact's ID). The recipient's ID can be retrieved via the [Document Details](https://developers.pandadoc.com/reference/document-details) endpoint. ### Document status - Removing a signer is only possible when the document is in the 'Draft' (`document.draft`) status and this action will unassign all fields associated with that signer. - Removing a CC recipient is allowed in any document status except for the 'Expired' (`document.voided`) and 'Declined' (`document.declined`). If a CC recipient is removed, their access will be revoked.
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Document UUID
>
> **recipient\_id** `string` *required*
>
> Recipient UUID
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Delete a document section
>
> **Slug:** `PANDADOC_DELETE_DOCUMENT_SECTION`
>
> Delete a document section. Removes selected section from the document.
>
> #### Input Parameters
>
> **section\_id** `string` *required*
>
> Specify section ID.
>
> **document\_id** `string` *required*
>
> Specify document ID.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Delete a linked object
>
> **Slug:** `PANDADOC_DELETE_LINKED_OBJECT`
>
> Delete a linked object. Delete a linked object associated with a document.
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Specify document ID.
>
> **linked\_object\_id** `string` *required*
>
> Specify linked object ID.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Delete a notarization request
>
> **Slug:** `PANDADOC_DELETE_NOTARIZATION_REQUEST`
>
> Delete a notarization request. Use this method to delete a notarization request. Once notarization request is deleted it cannot be restored. > 🚧 Notarization Request status > > You can only delete a notarization request in status 'SENT', 'WAITING\_FOR\_NOTARY' or 'INCOMPLETE'. > If the notarization request is in any other status, the request will return a 400 Bad Request error. By default all invitees will receive email notification about deletion of the notarization request. If you want to disable this notification, you can use the `disable_invitees_notifications` parameter when creating request (see [Create Notarization Request](https://developers.pandadoc.com/reference/create-notarization-request)).
>
> #### Input Parameters
>
> **session\_request\_id** `string` *required*
>
> Notarization Request ID.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Delete a product catalog item
>
> **Slug:** `PANDADOC_DELETE_PRODUCT_CATALOG_ITEM`
>
> Delete a product catalog item. Delete catalog item.
>
> #### Input Parameters
>
> **item\_uuid** `string` *required*
>
> Catalog item UUID
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Delete Template
>
> **Slug:** `PANDADOC_DELETE_TEMPLATE`
>
> This tool deletes a specific template from PandaDoc. Once a template is deleted, it cannot be recovered. This action is permanent and should be used with caution.
>
> #### Input Parameters
>
> **template\_id** `string` *required*
>
> The unique identifier of the template to delete
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Delete a webhook subscription
>
> **Slug:** `PANDADOC_DELETE_WEBHOOK_SUBSCRIPTION`
>
> Delete a webhook subscription. This operation deletes a specific webhook subscription identified by its UUID.
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Webhook subscription uuid.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Download a completed document
>
> **Slug:** `PANDADOC_DOWNLOAD_COMPLETED_DOCUMENT`
>
> Download a completed document. Download a completed document as a verifiable PDF (Download Protected Document) > 🚧 Production key only > > This endpoint only works with a Production key. You'll get a 401 Unauthorized error when trying to use a Sandbox key. Download a signed PDF of a completed document
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Specify document ID.
>
> **separate\_files** `boolean`
>
> Download document bundle as a zip-archive of separate PDFs (1 file per section).
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Download Document
>
> **Slug:** `PANDADOC_DOWNLOAD_DOCUMENT`
>
> Download a PandaDoc document as PDF, or a bundle as separate PDFs in a ZIP. For completed and signed documents, use PandaDoc's Download Protected Document endpoint instead. If the file is still being generated, retry after the delay reported in the error. Redirects are not followed to protect credentials.
>
> #### Input Parameters
>
> **id** `string` *required*
>
> The ID of the document to download.
>
> **separate\_files** `boolean`
>
> Download a document bundle as a ZIP of separate PDFs, one per section.
>
> **watermark\_text** `string`
>
> Watermark text.
>
> **watermark\_color** `string`
>
> Watermark HEX color, for example #FF5733.
>
> **watermark\_opacity** `number`
>
> Watermark opacity from 0.0 to 1.0.
>
> **watermark\_font\_size** `integer`
>
> Font size of the watermark.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Download a document attachment
>
> **Slug:** `PANDADOC_DOWNLOAD_DOCUMENT_ATTACHMENT`
>
> Download a document attachment. Download an attachment by ID.
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Document UUID.
>
> **attachment\_id** `string` *required*
>
> Attachment UUID.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Duplicate a template
>
> **Slug:** `PANDADOC_DUPLICATE_TEMPLATE`
>
> Duplicate a template. ## Duplicate Template Creates a copy of a template within the same workspace. > 📘 **Permissions** > > Requires `can_read_templates` and `can_duplicate_templates` permissions. Duplicating templates owned by other users additionally requires `can_duplicate_any_template`.
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Template ID
>
> **name** `string`
>
> Custom name for the duplicated template. When omitted or empty, a name is auto-generated from the source template.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get API log details
>
> **Slug:** `PANDADOC_GET_API_LOG_DETAILS`
>
> Get API log details. Returns details of the specific API log event.
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Log event id.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get attachment details
>
> **Slug:** `PANDADOC_GET_ATTACHMENT_DETAILS`
>
> Get attachment details. Returns details of the specific document's attachment.
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Document UUID.
>
> **attachment\_id** `string` *required*
>
> Attachment UUID.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get automatic reminder settings
>
> **Slug:** `PANDADOC_GET_AUTOMATIC_REMINDER_SETTINGS`
>
> Get automatic reminder settings. Retrieves the current auto reminder configuration for a specified document.
>
> #### Input Parameters
>
> **document\_id** `string` *required*
>
> The UUID of the document.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get automatic reminder status
>
> **Slug:** `PANDADOC_GET_AUTOMATIC_REMINDER_STATUS`
>
> Get automatic reminder status. Retrieves the current auto reminder status per recipient for a specified document. Recipients who could not receive reminders due to validations (recipient groups, non-signers, etc.) will be skipped and not included in the response.
>
> #### Input Parameters
>
> **document\_id** `string` *required*
>
> The UUID of the document.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get contact details
>
> **Slug:** `PANDADOC_GET_CONTACT_DETAILS`
>
> Get contact details. Returns contact details by its ID.
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Contact id.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get content library item details
>
> **Slug:** `PANDADOC_GET_CONTENT_LIBRARY_ITEM_DETAILS`
>
> Get content library item details. Retrieve detailed information about a specific content library item using its ID. The details include: - **Roles** - **All fields with values** - **All tokens with values** - **Pricing information (pricing tables, products, etc)** - **Metadata** - **Tags** - **Modification Timestamps**: note that `date_modified` means any changes associated with the CLI, while `content_date_modified` logs any changes in CLI content.
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Content Library Item ID
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get content library item status
>
> **Slug:** `PANDADOC_GET_CONTENT_LIBRARY_ITEM_STATUS`
>
> Get content library item status. Requesting the CLI status helps verify that a CLI is in the expected state before invoking additional API methods. ## Available CLI Statuses The following is a complete list of all possible CLI statuses returned: | CLI Status | Status Description | |-----------------|--------------------| | `cli.UPLOADED` | The CLI upload process has been initiated and is currently in progress. It will soon transition to the `cli.PROCESSED` state. | | `cli.PROCESSED` | The CLI has been successfully uploaded and created. At this stage, all aspects of the CLI are editable. | | `cli.ERROR` | The CLI upload process has failed. Please refer to the error details in the response for more information. |
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Content Library Item ID
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get the current member
>
> **Slug:** `PANDADOC_GET_CURRENT_MEMBER`
>
> Get the current member. Returns the member details of the current user (the owner of the API key). **User** - is an account with a license in the Organization. **Member** - is a User with a predefined Role in the Workspace. | Parameter | Description | |---|---| | `user_id` | A unique identifier of the `user` in the **organization** | | `membership_id` | A unique identifier of the `user` in the **workspace** | | `email` | A user email address | | `first_name` | A user's first name | | `last_name` | A user's last name | | `is_active` | A boolean value that identifies if a member is active and not blocked | | `workspace` | A unique identifier of the user's current active workspace | | `workspace_name` | A name of the user's current active workspace | | `email_verified` | A boolean value that identifies if the email is verified | | `role` | A member's role in the wo
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get Document Details
>
> **Slug:** `PANDADOC_GET_DOCUMENT_DETAILS`
>
> Fetch detailed metadata for a specific PandaDoc document including recipients, fields/tokens values, pricing data, metadata, tags, and content-block names. Use this after discovering a document via list/search to inspect recipients/status/fields/metadata/content-block references for follow-up automation or reporting.
>
> #### Input Parameters
>
> **id** `string` *required*
>
> The unique identifier of the document to retrieve details for
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get the document eSign disclosure
>
> **Slug:** `PANDADOC_GET_DOCUMENT_E_SIGN_DISCLOSURE`
>
> Get the document eSign disclosure. Retrieves the current version of eSign disclosure text for a specified document.
>
> #### Input Parameters
>
> **document\_id** `string` *required*
>
> The UUID of the document.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get document section details
>
> **Slug:** `PANDADOC_GET_DOCUMENT_SECTION_DETAILS`
>
> Get document section details. Receive information about each section.
>
> #### Input Parameters
>
> **section\_id** `string` *required*
>
> Section ID.
>
> **document\_id** `string` *required*
>
> Document ID.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get document settings
>
> **Slug:** `PANDADOC_GET_DOCUMENT_SETTINGS`
>
> Get document settings. Retrieves the settings for a specified document.
>
> #### Input Parameters
>
> **document\_id** `string` *required*
>
> Unique identifier of the document to retrieve settings for.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get document status
>
> **Slug:** `PANDADOC_GET_DOCUMENT_STATUS`
>
> Get document status. It is useful to request document status to ensure a document is in the expected state before calling additional API methods. ### Required Document Statuses Here are some common methods and the `document.status` required to proceed: | API Method | Required Document State | | :------------------- | :---------------------- | | Send A Document | `document.draft` | | Get Document Details | `document.draft` | | Embed A Document | `document.sent` | | Download A Document | `document.completed` | > 📘 Polling vs Webhooks > > If you are using the `GET` document status endpoint for [**polling**](https://en.wikipedia.org/wiki/Polling_\(computer_science\)), we also support and recommend using **webhooks** for event-driven needs: \<[https://developers.pandadoc.com/docs/listen-document-status-changes#/](https://developers.pandadoc.com/docs/listen-document-status-changes#/)> ### Available Document Statuses The following is a comp
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Specify document ID.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get member details
>
> **Slug:** `PANDADOC_GET_MEMBER_DETAILS`
>
> Get member details. A method to retrieve a member's details by ID. **User** - is an account with a license in the Organization. **Member** - is a User with a predefined Role in the Workspace. | Parameter | Description | |---|---| | `user_id` | A unique identifier of the `user` in the **organization** | | `membership_id` | A unique identifier of the `user` in the **workspace** | | `email` | A user email address | | `first_name` | A user's first name | | `last_name` | A user's last name | | `is_active` | A boolean value that identifies if a member is active and not blocked | | `workspace` | A unique identifier of the user's current active workspace | | `workspace_name` | A name of the user's current active workspace | | `email_verified` | A boolean value that identifies if the email is verified | | `role` | A member's role in the workspace | | `user_license` |
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Membership id.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get notarization request details
>
> **Slug:** `PANDADOC_GET_NOTARIZATION_REQUEST_DETAILS`
>
> Get notarization request details. Get details about a notarization request by its `id`. Details include: - Basic notarization request information (status, creator, invitees). - Signed documents information with links for downloading. - Notarization session recording information with link for downloading. - Timestamps associated with a notarization request. - Termination reason and details when the notarization session was not completed successfully. ## Available Notarization Request Statuses The following is a complete list of all possible notarization request statuses returned: | Notarization Request Status | Status Description | | :-------------------------- | :----------------------------------------------------------------------------------------------------------------- | | SENT | Notarization request has been created. Invitees are notified and can start the process
>
> #### Input Parameters
>
> **session\_request\_id** `string` *required*
>
> Notarization Request ID.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get a product catalog item
>
> **Slug:** `PANDADOC_GET_PRODUCT_CATALOG_ITEM`
>
> Get a product catalog item. Get catalog item.
>
> #### Input Parameters
>
> **item\_uuid** `string` *required*
>
> Catalog item UUID
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get section upload status
>
> **Slug:** `PANDADOC_GET_SECTION_UPLOAD_STATUS`
>
> Get section upload status. Receive the upload status of the document and sections by their `upload_id`. Requesting document section upload status is useful to ensure a document section upload is in the expected state before calling additional API methods. In response, you receive an array with `sections_uuid`. You can receive information about each section using the [Document Section Info](https://developers.pandadoc.com/reference/document-section-info) endpoint. `json "section_uuids": [ "H8T8CJofGY6JwTsWsPuDEF", "8MwLaU4SaZywqLiDk26mDF" ] ` ## Available Document Section Upload Statuses The following is a complete list of all possible document statuses returned: | Document Status | Status Description | | :----------------------------------- | :-----------------------------------------------------------------------------------------------------------------------
>
> #### Input Parameters
>
> **upload\_id** `string` *required*
>
> Upload ID.
>
> **document\_id** `string` *required*
>
> Document ID.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get Template Details
>
> **Slug:** `PANDADOC_GET_TEMPLATE_DETAILS`
>
> Retrieve details for a specific PandaDoc template by ID, including metadata, roles, fields, tokens and pricing information when available.
>
> #### Input Parameters
>
> **template\_id** `string` *required*
>
> The unique identifier of the template to retrieve details for
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get template settings
>
> **Slug:** `PANDADOC_GET_TEMPLATE_SETTINGS`
>
> Get template settings. Retrieves the settings for a specified template. Only the language field is currently supported.
>
> #### Input Parameters
>
> **template\_id** `string` *required*
>
> Unique identifier of the template to retrieve settings for.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get template sharing settings
>
> **Slug:** `PANDADOC_GET_TEMPLATE_SHARING_SETTINGS`
>
> Get template sharing settings. Retrieves template sharing settings.
>
> #### Input Parameters
>
> **template\_id** `string` *required*
>
> Unique identifier of the Template to retrieve Shares for.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get template status
>
> **Slug:** `PANDADOC_GET_TEMPLATE_STATUS`
>
> Get template status. ## Available Template Statuses The following is a complete list of all possible template statuses returned: | Template Status | Status Description | | :------------------- | :-------------------------------------------------------------------------------------------------------------------------------------- | | `template.UPLOADED` | The template upload process has been initiated and is currently in progress. It will soon transition to the `template.PROCESSED` state. | | `template.PROCESSED` | The template has been successfully uploaded and created. At this stage, all aspects of the template are editable. | | `template.ERROR` | The template upload process has failed. Please refer to the error details in the response for more information. |
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Template ID
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get a user by ID
>
> **Slug:** `PANDADOC_GET_USER_BY_ID`
>
> Get a user by ID. Get detailed information about a specific user by their ID, including contact information, license type, and workspace roles. You must be an organization admin to get user details.
>
> #### Input Parameters
>
> **user\_id** `string` *required*
>
> A unique identifier of the user.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get webhook event details
>
> **Slug:** `PANDADOC_GET_WEBHOOK_EVENT_DETAILS`
>
> Get webhook event details. This operation fetches detailed information about a specific webhook event using its unique identifier.
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Webhook event uuid.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Get webhook subscription details
>
> **Slug:** `PANDADOC_GET_WEBHOOK_SUBSCRIPTION_DETAILS`
>
> Get webhook subscription details. Get webhook subscription by uuid
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Webhook subscription uuid
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] List API logs
>
> **Slug:** `PANDADOC_LIST_API_LOGS`
>
> List API logs. Get the list of all logs within the selected workspace. Optionally filter by date, page, and `#` of items per page.
>
> #### Input Parameters
>
> **to** `string`
>
> Determines a point in time from which logs should be fetched. Either a specific ISO 8601 datetime or a relative identifier such as "-10d" (for past 10 days) or a special "now" value.
>
> **page** `integer`
>
> Returns page of the results by number. The total number of accessible items (`count × page`) must not exceed 10,000.
>
> **count** `integer`
>
> The amount of items on each page. The total number of accessible items (`count × page`) must not exceed 10,000.
>
> **since** `string`
>
> Determines a point in time from which logs should be fetched. Either a specific ISO 8601 datetime or a relative identifier such as "-90d" (for past 90 days).
>
> **search** `string`
>
> Returns the results containing a string.
>
> **methods** `array`
>
> Returns only the predefined HTTP methods. Allows GET, POST, PUT, PATCH, and DELETE.
>
> **statuses** `array`
>
> Returns only the predefined status codes.
>
> **environment\_type** `string ("PRODUCTION" | "SANDBOX")`
>
> Returns logs for production/sandbox.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] List Contacts
>
> **Slug:** `PANDADOC_LIST_CONTACTS`
>
> List PandaDoc workspace contacts, optionally filtering by email address. Returned contact details include email, name and company.
>
> #### Input Parameters
>
> **email** `string`
>
> Filter contacts by exact email match. Returns only contacts with this specific email address.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] List content library items
>
> **Slug:** `PANDADOC_LIST_CONTENT_LIBRARY_ITEMS`
>
> List content library items. The endpoint retrieves items from the content library in PandaDoc. This endpoint supports filtering options to narrow down the results, allowing users to search by query, tags, folder, and more. > ### ⚠️ Please avoid empty values for the parameters > API returns "400" error when any of the parameters has an empty value. Please remove such a parameter from the request or add a value.
>
> #### Input Parameters
>
> **q** `string`
>
> Search query. Filter by content library item name.
>
> **id** `string`
>
> Specify content library item ID.
>
> **tag** `string`
>
> Search tag. Filter by content library item tag.
>
> **page** `integer`
>
> Specify which page of the dataset to return.
>
> **count** `integer`
>
> Specify how many content library items to return. Default is 50 content library items, maximum is 100 content library items.
>
> **deleted** `boolean`
>
> Returns only the deleted content library items.
>
> **folder\_uuid** `string`
>
> The UUID of the folder where the content library items are stored.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] List document attachments
>
> **Slug:** `PANDADOC_LIST_DOCUMENT_ATTACHMENTS`
>
> List document attachments. Returns a list of attachments associated with a specified document.
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Document UUID
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] List document audit trail
>
> **Slug:** `PANDADOC_LIST_DOCUMENT_AUDIT_TRAIL`
>
> List document audit trail. Retrieves the full audit trail for a specified document. The audit trail includes detailed user actions such as sending, viewing, signing, and editing, along with metadata like timestamps, IP addresses, and user identity. This endpoint is accessible to authorized workspace administrators only.
>
> #### Input Parameters
>
> **limit** `integer`
>
> Maximum number of items to return.
>
> **offset** `integer`
>
> Number of items to skip before starting to collect the result set.
>
> **document\_id** `string` *required*
>
> Unique identifier of the document to retrieve the audit trail for.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] List document fields
>
> **Slug:** `PANDADOC_LIST_DOCUMENT_FIELDS`
>
> List document fields. Return the list of fields for a particular document.
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Document UUID.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] List Document Folders
>
> **Slug:** `PANDADOC_LIST_DOCUMENT_FOLDERS`
>
> List PandaDoc document folders, optionally specifying a parent folder and pagination. Folder results include IDs, names and parent relationships when available.
>
> #### Input Parameters
>
> **page** `integer`
>
> Page number (starts from 1)
>
> **count** `integer`
>
> Number of folders to return (default: 50, max: 100)
>
> **parent\_uuid** `string`
>
> The UUID of the parent folder. If omitted, returns folders in root directory
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] List Documents
>
> **Slug:** `PANDADOC_LIST_DOCUMENTS`
>
> List and search PandaDoc documents with filters, pagination, and ordering.
>
> #### Input Parameters
>
> **id** `string`
>
> Filter by document ID
>
> **tag** `string`
>
> Filter documents by tag
>
> **page** `integer`
>
> Page number of the results to return
>
> **count** `integer`
>
> Maximum number of documents to return per page (1-100)
>
> **query** `string`
>
> Filter documents by name or reference number
>
> **status** `integer ("0" | "1" | "2" | "3" | "4" | "5" | "6" | "7" | "8" | "9" | "10" | "11" | "12" | "13" | "14")`
>
> Filter by PandaDoc document status code
>
> **deleted** `boolean`
>
> Whether to return only deleted documents
>
> **form\_id** `string`
>
> Filter by parent form ID; cannot be combined with template\_id
>
> **metadata** `object`
>
> Filter by metadata using raw metadata keys and string values. Each entry is sent as metadata\_\<key>=\<value>; for example, \{'opportunity\_id': '2181432'} sends metadata\_opportunity\_id=2181432.
>
> **order\_by** `string ("name" | "date_created" | "date_status_changed" | "date_of_last_action" | "date_modified" | "date_sent" | "date_completed" | "date_expiration" | "date_declined" | "status" | "-name" | "-date_created" | "-date_status_changed" | "-date_of_last_action" | "-date_modified" | "-date_sent" | "-date_completed" | "-date_expiration" | "-date_declined" | "-status")`
>
> Document field and direction to order by
>
> **contact\_id** `string`
>
> Filter by recipient or approver contact ID
>
> **created\_to** `string`
>
> Return documents created before this date-time
>
> **status\_\_ne** `integer ("0" | "1" | "2" | "3" | "4" | "5" | "6" | "7" | "8" | "9" | "10" | "11" | "12" | "13" | "14")`
>
> Exclude this PandaDoc document status code
>
> **folder\_uuid** `string`
>
> Filter by the folder containing the documents
>
> **modified\_to** `string`
>
> Return documents modified before this date-time
>
> **template\_id** `string`
>
> Filter by parent template ID; cannot be combined with form\_id
>
> **completed\_to** `string`
>
> Return documents completed before this date-time
>
> **created\_from** `string`
>
> Return documents created at or after this date-time
>
> **membership\_id** `string`
>
> Filter by the document owner's membership ID
>
> **modified\_from** `string`
>
> Return documents modified at or after this date-time
>
> **completed\_from** `string`
>
> Return documents completed at or after this date-time
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] List documents by linked object
>
> **Slug:** `PANDADOC_LIST_DOCUMENTS_BY_LINKED_OBJECT`
>
> List documents by linked object. Get a list of documents connected to a linked object - an entity from an integration.
>
> #### Input Parameters
>
> **order\_by** `string`
>
> Order by.
>
> **provider** `string` *required*
>
> See the available providers: [https://developers.pandadoc.com/reference/link-service#examples-of-the-most-popular-crms](https://developers.pandadoc.com/reference/link-service#examples-of-the-most-popular-crms)
>
> **entity\_id** `string` *required*
>
> You can get entity id from your integration, for example, from a url of a HubSpot deal.
>
> **owner\_ids** `array`
>
> Owner ids.
>
> **entity\_type** `string` *required*
>
> See the available entity types: [https://developers.pandadoc.com/reference/link-service#examples-of-the-most-popular-crms](https://developers.pandadoc.com/reference/link-service#examples-of-the-most-popular-crms)
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] List document sections
>
> **Slug:** `PANDADOC_LIST_DOCUMENT_SECTIONS`
>
> List document sections. Retrieve information about the sections within a document.
>
> #### Input Parameters
>
> **document\_id** `string` *required*
>
> Document ID
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] List forms
>
> **Slug:** `PANDADOC_LIST_FORMS`
>
> List forms. Retrieve a paginated list of forms with optional filtering and sorting options.
>
> #### Input Parameters
>
> **asc** `boolean`
>
> Specify sorting the result-set in ascending or descending order.
>
> **name** `string`
>
> Specify the form name.
>
> **page** `integer`
>
> Specify which page of the dataset to return.
>
> **count** `integer`
>
> Specify how many forms to return. Default is 50 forms, maximum is 100 forms.
>
> **status** `array`
>
> Specify which status of the forms dataset to return.
>
> **order\_by** `string ("name" | "responses" | "status" | "created_date" | "modified_date")`
>
> Specify the form dataset order to return.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] List linked objects
>
> **Slug:** `PANDADOC_LIST_LINKED_OBJECTS`
>
> List linked objects. Get a list of linked objects for the document.
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Specify document ID.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] List notaries
>
> **Slug:** `PANDADOC_LIST_NOTARIES`
>
> List notaries. Retrieve a list of notaries associated with your organization. ## Important Notes - At the moment, notaries can be added to organization only manually through the PandaDoc Notary UI. - Organization must have Notary addon enabled to use this endpoint
>
> #### Input Parameters
>
> **limit** `integer`
>
> Maximum number of results to return
>
> **offset** `integer`
>
> Number of results to skip
>
> **status** `array`
>
> Filter by status (comma-separated values supported). Valid values are INVITED, UNDER\_REVIEW, ACTIVE, REJECTED, INACTIVE
>
> **order\_by** `string ("email" | "-email" | "status" | "-status" | "name" | "-name")`
>
> Sort by name, email, or status (default is email). Use a - prefix for descending order (e.g., -email)
>
> **commission\_state** `array`
>
> Filter by commission state (comma-separated values supported)
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] List notarization requests
>
> **Slug:** `PANDADOC_LIST_NOTARIZATION_REQUESTS`
>
> List notarization requests. Retrieve a paginated list of notarization requests for your organization. Results can be filtered by status, creator, or document, and sorted by status or by the request's creation or completion dates. ## Permissions > 🔒 **Requirements** > > - The **Notary On-Demand** or **Notary** add-on must be enabled for your organization. Without an active add-on, the endpoint returns `403 Forbidden`. > - The request is executed with the permissions of the API key owner. By default, the response only includes notarization requests created by the API key owner. To list notarization requests created by any user in the organization, the API key owner must have the **Can view any notarization request** permission. ## Limits A maximum of 100 API calls per minute is permitted. Exceeding this limit triggers a 429 Too Many Requests error.
>
> #### Input Parameters
>
> **limit** `integer`
>
> Maximum number of results to return.
>
> **offset** `integer`
>
> Number of results to skip.
>
> **status** `array`
>
> Filter by status (comma-separated values supported).
>
> **order\_by** `string ("status" | "-status" | "date_created" | "-date_created" | "date_completed" | "-date_completed")`
>
> Sort field. Use a `-` prefix for descending order (e.g., `-date_created`). When omitted, results are sorted by `date_created` ascending (oldest first).
>
> **document\_id** `array`
>
> Filter by document ID (comma-separated values supported).
>
> **created\_by\_user\_id** `array`
>
> Filter by creator user ID (comma-separated values supported).
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] List recent SMS opt-outs
>
> **Slug:** `PANDADOC_LIST_RECENT_SMS_OPT_OUTS`
>
> List recent SMS opt-outs. Retrieves a list of the most recent SMS opt-out changes for each phone numbers used in your workspace. > 📘 You can filter results by time range using `timestamp_from` and `timestamp_to`.
>
> #### Input Parameters
>
> **timestamp\_to** `string`
>
> The end of the timestamp range.   If no timestamp is provided the current time will be used.
>
> **timestamp\_from** `string`
>
> The start of the timestamp.   If no timestamp is provided, 1 hour before the current time will be used.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] List template folders
>
> **Slug:** `PANDADOC_LIST_TEMPLATE_FOLDERS`
>
> List template folders. Get the list of folders that contain Templates in your account. > 📘 > > The root folder is not listed in the response. For the full list of folder operations and their limitations, see [Organize Templates and Folders](https://developers.pandadoc.com/docs/organize-folders).
>
> #### Input Parameters
>
> **page** `integer`
>
> Optionally, specify which page of the dataset to return.
>
> **count** `integer`
>
> Optionally, specify how many folders to return.
>
> **parent\_uuid** `string`
>
> The UUID of the folder containing folders. To list the folders located in the root folder, remove this parameter in the request.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] List Templates
>
> **Slug:** `PANDADOC_LIST_TEMPLATES`
>
> This tool retrieves a list of all templates available in the PandaDoc account. It supports parameters to filter templates by name, shared status, deleted status, pagination, and tag filtering, and returns detailed template information.
>
> #### Input Parameters
>
> **q** `string`
>
> Search query to filter templates by name
>
> **id** `string`
>
> Specific template ID to retrieve
>
> **tag** `array`
>
> Filter templates by tags
>
> **page** `integer`
>
> Page number of the results to return
>
> **count** `integer`
>
> Number of templates to return per page (1-100, default: 50)
>
> **fields** `array`
>
> Additional fields to include in the response (e.g., content\_date\_modified)
>
> **shared** `boolean`
>
> If true, returns only shared templates
>
> **deleted** `boolean`
>
> If true, returns only deleted templates
>
> **folder\_uuid** `string`
>
> UUID of the folder where the templates are stored
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] List users
>
> **Slug:** `PANDADOC_LIST_USERS`
>
> List users. Get a list of all users with membership in your organization, with their contact information, license type, and workspace roles. You must be an organization admin to list users.
>
> #### Input Parameters
>
> **page** `integer`
>
> Page number.
>
> **count** `integer`
>
> Number of elements in page.
>
> **show\_removed** `boolean`
>
> Filter option - show users with removed memberships.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] List webhook events
>
> **Slug:** `PANDADOC_LIST_WEBHOOK_EVENTS`
>
> List webhook events. This operation retrieves a paginated list of all webhook events.
>
> #### Input Parameters
>
> **to** `string`
>
> Return results where the event creation time is less than this value.
>
> **page** `integer` *required*
>
> Specify which page of the dataset to return.
>
> **type** `array`
>
> Returns results by the specified event types.
>
> **count** `integer` *required*
>
> Specify how many event results to return.
>
> **error** `array`
>
> Returns results with the following errors.
>
> **since** `string`
>
> Return results where the event creation time is greater than or equal to this value.
>
> **http\_status\_code** `array`
>
> Returns results with the specified HTTP status codes.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] List webhook subscriptions
>
> **Slug:** `PANDADOC_LIST_WEBHOOK_SUBSCRIPTIONS`
>
> List webhook subscriptions. This operation fetches a paginated list of webhook subscriptions.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] List workspace members
>
> **Slug:** `PANDADOC_LIST_WORKSPACE_MEMBERS`
>
> List workspace members. Retrieve all members details of the workspace implied by the OAuth token or API key. For each member, the `workspace` parameter shows their active workspace, that is the workspace they are currently working in. This means the `workspace` value can differ from the workspace implied by your API key.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] List workspaces
>
> **Slug:** `PANDADOC_LIST_WORKSPACES`
>
> List workspaces. Get a list of all the active workspaces in the organization.
>
> #### Input Parameters
>
> **q** `string`
>
> Filters workspaces by name (case-insensitive).
>
> **page** `integer`
>
> Page number.
>
> **count** `integer`
>
> Number of elements in page.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Move a document to draft
>
> **Slug:** `PANDADOC_MOVE_DOCUMENT_TO_DRAFT`
>
> Move a document to draft. Revert your document back to draft to continue editing it. > 📘 Returning to Draft works for any document status except Removed. ## After you move your document to the Draft status - `Signature` and `Initials` fields are cleared. All other fields stay filled in. - Recipients are **not** notified that the document is back in Draft. - You'll need to resend the document so that recipients can sign the updated version.
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Specify document ID.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Move Document to Folder
>
> **Slug:** `PANDADOC_MOVE_DOCUMENT_TO_FOLDER`
>
> This tool allows users to move a document to a specific folder within their PandaDoc account. It performs a POST request to move the document to the specified folder. Both the document and the destination folder must exist. Only documents in draft status can be moved; attempting to move documents in sent, completed, or other non-draft states will fail.
>
> #### Input Parameters
>
> **folder\_id** `string` *required*
>
> The unique identifier of the destination folder
>
> **document\_id** `string` *required*
>
> The unique identifier of the document to move
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Reassign a document signer
>
> **Slug:** `PANDADOC_REASSIGN_DOCUMENT_SIGNER`
>
> Reassign a document signer. Reassign fields to another signer. > 🚧 Before you start > > To change a signer in a document, please ensure that: > > - You have the 'Can Manage Recipients' permission. > - New signer is already created in your contacts. If not, add them using the [Create Contact](https://developers.pandadoc.com/reference/create-contact) endpoint. You can reassign fields to another signer before the original signer has signed the document. You can choose any person except those recipients who have already signed the document. The endpoint path includes the `recipient_id` of the original signer and the request body must include the following two parameters: - `kind`: Set this parameter to `contact` to specify an individual contact, or `contact_group` to specify a contact group. - `id`: Input the ID of the contact (for `kind: contact`) or contact group (for
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Document UUID
>
> **body** `object` *required*
>
> Request body as documented by PandaDoc.
>
> **recipient\_id** `string` *required*
>
> Recipient UUID
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Remove a workspace member
>
> **Slug:** `PANDADOC_REMOVE_WORKSPACE_MEMBER`
>
> Remove a workspace member. This operation removes a specified member from a workspace by providing the workspace ID and member ID.
>
> #### Input Parameters
>
> **member\_id** `string` *required*
>
> Member id
>
> **workspace\_id** `string` *required*
>
> Workspace id
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Rename a document folder
>
> **Slug:** `PANDADOC_RENAME_DOCUMENT_FOLDER`
>
> Rename a document folder. Rename Documents Folder. For the full list of folder operations and their limitations, see [Organize Documents and Folders](https://developers.pandadoc.com/docs/organize-folders).
>
> #### Input Parameters
>
> **id** `string` *required*
>
> The UUID of the folder that you are renaming.
>
> **name** `string` *required*
>
> Provide a new name for the folder.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Rename a template folder
>
> **Slug:** `PANDADOC_RENAME_TEMPLATE_FOLDER`
>
> Rename a template folder. Rename a templates folder. For the full list of folder operations and their limitations, see [Organize Templates and Folders](https://developers.pandadoc.com/docs/organize-folders).
>
> #### Input Parameters
>
> **id** `string` *required*
>
> The UUID of the folder which you are renaming.
>
> **name** `string` *required*
>
> Provide a new name for the folder.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Search Catalog Items
>
> **Slug:** `PANDADOC_SEARCH_CATALOG_ITEMS`
>
> Search PandaDoc product catalog items with filters and ordering.
>
> #### Input Parameters
>
> **page** `number`
>
> Page number
>
> **query** `string`
>
> Search title, SKU, description, category name, and custom fields
>
> **types** `array`
>
> Catalog item types to include
>
> **order\_by** `string ("sku" | "-sku" | "title" | "-title" | "price" | "-price" | "date_modified" | "-date_modified")`
>
> Property and direction used to order results
>
> **per\_page** `number`
>
> Number of catalog items to return per page
>
> **category\_id** `string`
>
> Return items from this category ID
>
> **no\_category** `boolean`
>
> Return only items without a category
>
> **billing\_types** `array`
>
> Billing types to include
>
> **exclude\_uuids** `array`
>
> Catalog item UUIDs to exclude
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Search product catalog items
>
> **Slug:** `PANDADOC_SEARCH_PRODUCT_CATALOG_ITEMS`
>
> Search product catalog items. This method searches for items in your [product catalog](https://support.pandadoc.com/en/articles/9714691-product-catalog). Use the `query` parameter to search in title, SKU, description, category name, custom fields name and value. You can also search for items by their type, billing type, and category id. Order search results, in both ascending and descending order, by these item properties: - SKU - Name - Price - Modification date Use the `exclude_uuids` parameter to exclude particular uuids from the search request.
>
> #### Input Parameters
>
> **page** `number`
>
> Page number.
>
> **query** `string`
>
> Search query. Searches the following fields: Title, SKU, description, category name, custom fields name and value.
>
> **types** `array`
>
> Filter by catalog item types.
>
> **order\_by** `string ("sku" | "-sku" | "title" | "-title" | "price" | "-price" | "date_modified" | "-date_modified")`
>
> Ordering principle for displaying search results.
>
> **per\_page** `number`
>
> Items per page.
>
> **category\_id** `string`
>
> Category id.
>
> **no\_category** `boolean`
>
> No category.
>
> **billing\_types** `array`
>
> Filter by billing types.
>
> **exclude\_uuids** `array`
>
> A list of item uuids to be excluded from search.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Send a document
>
> **Slug:** `PANDADOC_SEND_DOCUMENT`
>
> Send a document. > 🚧 Using the Sandbox Key > > When you use a [sandbox API key](https://developers.pandadoc.com/reference/sandbox-key) during the free trial period, the sender and recipient email addresses must be from the same organisation (email domain). ## Document State - You can only send a document in the `document.draft` status. - After creating a new document, it usually retains a `document.uploaded` status for 3-5 seconds while the document syncs across PandaDoc servers. When the document is available for further API calls, it moves to the `document.draft` state. Use Document Status or Webhooks to check document status. - Moving a document to the `document.sent` status finalizes the document structure, before recipients can complete it. - If a template used for the document cre
>
> #### Input Parameters
>
> **id** `string` *required*
>
> Document ID
>
> **sender** `object`
>
> You can set a sender of a document as an `email` or `membership_id`
>
> **silent** `boolean`
>
> If set to `true`, disables email notifications for document recipients and the document sender. Also disables scheduled reminders (manual reminders still possible). Doesn't affect "Approve document" email notification sent to the Approver.
>
> **message** `string`
>
> A message that will be sent by email with a link to a document to sign.
>
> **subject** `string`
>
> Value that will be used as the email subject.
>
> **reply\_to** `string`
>
> Email address that will be used as a reply-to address for the document. To use this parameter, please contact the support team to have it enabled for your account.
>
> **selected\_approvers** `object`
>
> Configuration for selected approvers.
>
> **forwarding\_settings** `object`
>
> Set settings for Document and Signature forwarding.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Send a manual reminder
>
> **Slug:** `PANDADOC_SEND_MANUAL_REMINDER`
>
> Send a manual reminder. Sends manual reminders to one or more recipients of a specified document.
>
> #### Input Parameters
>
> **reminders** `array` *required*
>
> A list of reminders to be sent to specified recipients. Use this field to specify which recipients should receive a reminder and through which delivery methods.  Each email reminder contains document sender in the From field,  ensuring the recipient always sees consistent sender details and branding.
>
> **document\_id** `string` *required*
>
> The UUID of the document.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Transfer ownership of all documents
>
> **Slug:** `PANDADOC_TRANSFER_OWNERSHIP_OF_DOCUMENTS`
>
> Transfer ownership of all documents. This method transfers ownership of all documents from one member to another.
>
> #### Input Parameters
>
> **silent** `boolean`
>
> If set to `true`, disables the email and in-app notifications about the ownership transfer that are sent to the new documents owner.
>
> **to\_membership\_id** `string`
>
> A unique identifier of a workspace member to whom you want to transfer ownership.
>
> **from\_membership\_id** `string`
>
> A unique identifier of a workspace member from whom you want to transfer ownership.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Update automatic reminder settings
>
> **Slug:** `PANDADOC_UPDATE_AUTOMATIC_REMINDER_SETTINGS`
>
> Update automatic reminder settings. Configures automatic reminders for document recipients. These reminders are sent after the document's initial dispatch. Settings include enabling reminders, delivery method (email/SMS), initial delay, and recurrence frequency.
>
> #### Input Parameters
>
> **enabled** `boolean` *required*
>
> Toggles auto-reminders for the document.  If `true`, reminders are scheduled based on the configuration.
>
> **document\_id** `string` *required*
>
> The UUID of the document.
>
> **is\_recurring** `boolean`
>
> If `true`, reminders will be sent repeatedly at specified intervals after the initial reminder.
>
> **delivery\_method** `string ("email" | "sms")`
>
> The method used to deliver reminders (e.g., email, SMS).
>
> **initial\_delay\_days** `integer`
>
> Number of days to wait after sending the document before the first reminder is sent.
>
> **recurrence\_frequency\_days** `integer`
>
> Number of days between recurring reminders, applicable if `is_recurring` is `true`.
>
> #### Output
>
> **data** `string` *required*
>
> Data from the action execution
>
> **error** `string`
>
> Error if any occurred during the execution of the action
>
> **successful** `boolean` *required*
>
> Whether or not the action execution was successful or not

> [accordion] Update a document
>
> **Slug:** `PANDADOC_UPDATE_DOCUMENT`
>
[...]
